---
lang: en
title: 'API docs: context.bindingkey.deepproperty'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.bindingkey.deepproperty.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingKey](./context.bindingkey.md) &gt; [deepProperty](./context.bindingkey.deepproperty.md)

## BindingKey.deepProperty() method

Get a binding address for retrieving a deep property of the object bound to the current binding key.

<b>Signature:</b>

```typescript
deepProperty<PropertyValueType>(propertyPath: string): BindingKey<PropertyValueType>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  propertyPath | <code>string</code> | A dot-separated path to a (deep) property, e.g. "server.port". |

<b>Returns:</b>

`BindingKey<PropertyValueType>`


